JSIEVE-106 JSIEVE should be compiled with JDK 1.6